
From: Adam Belay <ambx1@neo.rr.com>

This patch moves the PnP ID declarations to mod_devicetable.h like most of
the other buses.  It is from Takashi Iwai <tiwai@suse.de>.



---

 include/linux/mod_devicetable.h |   17 +++++++++++++++++
 include/linux/pnp.h             |   16 +---------------
 2 files changed, 18 insertions(+), 15 deletions(-)

diff -puN include/linux/mod_devicetable.h~pnp-move-ID-declarations include/linux/mod_devicetable.h
--- 25/include/linux/mod_devicetable.h~pnp-move-ID-declarations	2004-01-29 22:40:31.000000000 -0800
+++ 25-akpm/include/linux/mod_devicetable.h	2004-01-29 22:40:31.000000000 -0800
@@ -148,4 +148,21 @@ struct ccw_device_id {
 #define CCW_DEVICE_ID_MATCH_DEVICE_MODEL	0x08
 
 
+#define PNP_ID_LEN	8
+#define PNP_MAX_DEVICES	8
+
+struct pnp_device_id {
+	__u8 id[PNP_ID_LEN];
+	kernel_ulong_t driver_data;
+};
+
+struct pnp_card_device_id {
+	__u8 id[PNP_ID_LEN];
+	kernel_ulong_t driver_data;
+	struct {
+		__u8 id[PNP_ID_LEN];
+	} devs[PNP_MAX_DEVICES];
+};
+
+
 #endif /* LINUX_MOD_DEVICETABLE_H */
diff -puN include/linux/pnp.h~pnp-move-ID-declarations include/linux/pnp.h
--- 25/include/linux/pnp.h~pnp-move-ID-declarations	2004-01-29 22:40:31.000000000 -0800
+++ 25-akpm/include/linux/pnp.h	2004-01-29 22:40:31.000000000 -0800
@@ -12,13 +12,12 @@
 #include <linux/device.h>
 #include <linux/list.h>
 #include <linux/errno.h>
+#include <linux/mod_devicetable.h>
 
 #define PNP_MAX_PORT		8
 #define PNP_MAX_MEM		4
 #define PNP_MAX_IRQ		2
 #define PNP_MAX_DMA		2
-#define PNP_MAX_DEVICES		8
-#define PNP_ID_LEN		8
 #define PNP_NAME_LEN		50
 
 struct pnp_protocol;
@@ -287,19 +286,6 @@ struct pnp_id {
 	struct pnp_id * next;
 };
 
-struct pnp_device_id {
-	char id[PNP_ID_LEN];
-	unsigned long driver_data;	/* data private to the driver */
-};
-
-struct pnp_card_device_id {
-	char id[PNP_ID_LEN];
-	unsigned long driver_data;	/* data private to the driver */
-	struct {
-		char id[PNP_ID_LEN];
-	} devs[PNP_MAX_DEVICES];	/* logical devices */
-};
-
 struct pnp_driver {
 	char * name;
 	const struct pnp_device_id *id_table;

_
